Bug 33838 - FORMATTING, FILEOPEN: Default bullet point not showing correctly (.lwp import)
Summary: FORMATTING, FILEOPEN: Default bullet point not showing correctly (.lwp import)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: TableofContents-Indexes LWP
  Show dependency treegraph
 
Reported: 2011-02-02 06:08 UTC by Jaxson Lee
Modified: 2019-12-03 13:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.lwp '97 file with a bullet point in the default style (13.32 KB, application/vnd.lotus-wordpro)
2011-02-02 06:08 UTC, Jaxson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaxson Lee 2011-02-02 06:08:31 UTC
Created attachment 42854 [details]
.lwp '97 file with a bullet point in the default style

The default bullet point style is replaced by a square box when a .lwp document is opened in Writer.

I believe the default bullet point style in Word Pro '97 is from the Wingdings font, specifically 'circle4' which has ANSI character code number 0x49 in hex, which is 159 in decimal. 

Most of the other built-in bullet point styles in Word Pro also uses Wingdings characters, but these are rendering OK in Writer.

I believe something's going wrong during the .lwp import process. Saving the .lwp as a .odt in Writer and then examining the styles.xml the XML relating to the default bullets shows it as:

<text:list-level-style-bullet text:level="10" text:bullet-char="">

That is with seemingly no character selected. Compare with a bullet point in a different style that does work OK in Writer:

<text:list-level-style-bullet text:level="1" text:bullet-char="§">

Where § has the same character code number as the desired symbol in Wingdings.

I've attached an .lwp document as an example of the broken bullet point.
Comment 1 Björn Michaelsen 2011-12-23 11:49:00 UTC Comment hidden (obsolete)
Comment 2 Volker Hintsch 2012-02-12 02:17:55 UTC
Seem to have the same problem: When saving a document as a 2003 .doc file, the bullets reappear as different signs. Often as signs from another font - in my case the musical mf sign.
Comment 3 Florian Reisinger 2012-08-14 14:01:40 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:02:43 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:07:18 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:09:24 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-08-24 05:56:58 UTC
not tested yet. Reopening
Comment 8 Jaxson Lee 2012-08-27 12:00:44 UTC
This is still an issue in LibreOffice Version 3.6.0.4 (Build ID: 932b512) for Windows at least.
Comment 9 Florian Reisinger 2012-08-27 17:48:26 UTC
Doesn't seems to be the standard bullet... LO 3.6 Win 7 x64
Comment 10 sasha.libreoffice 2012-08-28 06:47:29 UTC
@ Jaxson Lee 
Thanks for additional testing
"Version" is most old version of LO where bug appears, not current version.
Changing back to 3.3.0
Comment 11 tommy27 2014-10-26 05:46:24 UTC
still reproducible under Win7x64 with LibO 4.3.2.2 and 4.4.0.0.alpha1+
Build ID: 6ba8b7f5eacac969e4781d63718083a05491b1bc
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-24_02:23:51
Comment 12 QA Administrators 2015-12-20 16:07:56 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-01-03 19:46:44 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2019-12-03 13:55:31 UTC
Dear Jaxson Lee,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug